﻿/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/


#ifndef _ErrorUtil_H_
#define _ErrorUtil_H_


#include <OnlineCore/src/Platform/Core/PlatformDecl.h>

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
  

       
       
       
       

       

       

       

       

       


       
       

       
       

       
       

       
       
       

       
       
       

       
       
       

       
       
       

       

       

       
       
       
       
       

       
       
       

       
       

       
       

         

         

         

         

         

         

         

         

         

         


 */
class ErrorUtil
{
public:
    //n1769
    //---------------------------------------------------------------------
    //
    //---------------------------------------------------------------------
    enum Severity
    {
        SEVERITY_VOID,               //

        SEVERITY_LOW,                //
        SEVERITY_MIDDLE,             //
        SEVERITY_HIGH,               //
        SEVERITY_CRITICAL,           //
        SEVERITY_PROGRAMMING_ERROR,  //

        SEVERITY_MAX                 //
    };


    /* Please see man pages for details 
    

    

    
    */
    static enum Severity GetSeverity(const qResult &result);


    /* Please see man pages for details 
    

    

    

    
    */
    static const qChar* ToString(enum Severity s);


    // Constructor/destructor.
    // No particular meaning in this class.
    ErrorUtil(void) {}
    ~ErrorUtil(void) {}

private:
    // The copy constructor and the assignment operator are private.
    ErrorUtil           (const ErrorUtil&);
    ErrorUtil& operator=(const ErrorUtil&);
};


END_NAMESPACE_NEX

#endif  // end of _ErrorUtil_H_
