/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef DEMO_RENDER_DATA_H_
#define DEMO_RENDER_DATA_H_

#include <nn/gx.h>
#include <nn/util.h>

namespace demo
{

/* Please see man pages for details 






*/
f32 GetLcdWidth(const s32 display);

/* Please see man pages for details 






*/
f32 GetLcdHeight(const s32 display);

/* Please see man pages for details 



*/
class RenderData : private nn::util::NonCopyable<RenderData>
{
public:
    /* Please see man pages for details 
    

    
    */
    RenderData(void);
    /* Please see man pages for details 
    

    
    */
    virtual ~RenderData(void);

public:
    /* Please see man pages for details 
    

    
    */
    virtual void Initialize(void);

    /* Please see man pages for details 
    

    
    */
    virtual void Finalize(void);

public:
    /* Please see man pages for details 
    

    
    */
    virtual void Draw(void) = 0;

public:
    /* Please see man pages for details 
    

    

    
    
    */
    virtual void SetWindowSize(const f32 windowWidth, const f32 windowHeight);

public:
    /* Please see man pages for details 
    

    

    
    
    
    
    */
    virtual void GetNormalizedDeviceCoordinateXY(const f32 windowCoordinateX, const f32 windowCoordinateY,
            f32& normalizedDeviceCoordinateX, f32& normalizedDeviceCoordinateY);

    /* Please see man pages for details 
    

    

    
    
    */
    virtual f32 GetNormalizedDeviceCoordinateX(const f32 windowCoordinateY);

    /* Please see man pages for details 
    

    

    
    
    */
    virtual f32 GetNormalizedDeviceCoordinateY(const f32 windowCoordinateX);

protected:
    virtual void CalculateInverseWindowSize(void);

protected:
    s32 m_RenderTarget;
    f32 m_WindowWidth;
    f32 m_WindowHeight;

    f32 m_InverseWindowWidth;
    f32 m_InverseWindowHeight;
};

}

#endif
