﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.
  Copyright (C)2011-2014 Nintendo  All rights reserved.
  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------

*/
//Also exists in OnlineCore/src/DDLTypes/ClassCGMacros.h.

#include <NetZ/src/Core/DOCore/ObjDupDecl.h>

#ifndef _ClassCGMacros_H_
#define _ClassCGMacros_H_

#define DDLCLASS(C) _DDL_##C


/* Please see man pages for details 
 
 
 */
#define NEX_CLASS_ISVALID(VAR) _class_isValid_ ## VAR()

/* Please see man pages for details 
 
 
 */
#define NEX_CLASS_VALID_REVISION(VAR) _class_validRevision_ ## VAR

#define NEX_CLASS_VALID_REVISION_DEF(VAR, VAL) static const qByte _class_validRevision_ ## VAR = VAL

#endif
