#ifndef _Quazal_PromotionRefereeDDL_H_
#define _Quazal_PromotionRefereeDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "RootDO.h"
#include "DOCoreDDF.h"
BEGIN_NAMESPACE_NEX
class PromotionReferee;
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API DOCLASS(PromotionReferee): public RootDO {
/*
********* Define of calling methods from PromotionReferee class
qBool CallConfirmElection(RMCContext* pContext, const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(dohandle)::CPPType& hNewMaster);
qBool CallElectNewMaster(RMCContext* pContext, const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(byte)::CPPType& byMasterVersion, const DDLTYPE(dohandle)::CPPType& hCalleeStation, const DDLTYPE(byte)::CPPType& byAffinity, const DDLTYPE(uint16)::CPPType& uiWaitTime, DDLTYPE(dohandle)::CPPType* hNewMaster, DDLTYPE(byte)::CPPType* byNewMasterVersion);
qBool CallDeclinePromotion(RMCContext* pContext, const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster);
qBool CallRequestConfirmFaultyMaster(RMCContext* pContext, const DDLTYPE(dohandle)::CPPType& hFaultyMaster);
qBool CallReplyConfirmFaultyMaster(RMCContext* pContext, const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(byte)::CPPType& byResult);


********* Need implement called methods in PromotionReferee class

void PromotionReferee::ConfirmElection(const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(dohandle)::CPPType& hNewMaster) {
	//Implementation of the RMC goes here
}


void PromotionReferee::ElectNewMaster(const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(byte)::CPPType& byMasterVersion, const DDLTYPE(dohandle)::CPPType& hCalleeStation, const DDLTYPE(byte)::CPPType& byAffinity, const DDLTYPE(uint16)::CPPType& uiWaitTime, DDLTYPE(dohandle)::CPPType* hNewMaster, DDLTYPE(byte)::CPPType* byNewMasterVersion) {
	//Implementation of the RMC goes here
}


void PromotionReferee::DeclinePromotion(const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster) {
	//Implementation of the RMC goes here
}


void PromotionReferee::RequestConfirmFaultyMaster(const DDLTYPE(dohandle)::CPPType& hFaultyMaster) {
	//Implementation of the RMC goes here
}


void PromotionReferee::ReplyConfirmFaultyMaster(const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(byte)::CPPType& byResult) {
	//Implementation of the RMC goes here
}

********* */
public:
	_DO_DeclareGeneralMethods(PromotionReferee)

	_DO_DeclareSetID()
	_DO_DeclareRMCStub(ConfirmElection, (RMCContext* pCallContext, const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(dohandle)::CPPType& hNewMaster))
	_DO_DeclareRMCStub(ElectNewMaster, (RMCContext* pCallContext, const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(byte)::CPPType& byMasterVersion, const DDLTYPE(dohandle)::CPPType& hCalleeStation, const DDLTYPE(byte)::CPPType& byAffinity, const DDLTYPE(uint16)::CPPType& uiWaitTime, DDLTYPE(dohandle)::CPPType* hNewMaster, DDLTYPE(byte)::CPPType* byNewMasterVersion))
	_DO_DeclareRMCStub(DeclinePromotion, (RMCContext* pCallContext, const DDLTYPE(dohandle)::CPPType& hObject, const DDLTYPE(dohandle)::CPPType& hFaultyMaster))
	_DO_DeclareRMCStub(RequestConfirmFaultyMaster, (RMCContext* pCallContext, const DDLTYPE(dohandle)::CPPType& hFaultyMaster))
	_DO_DeclareRMCStub(ReplyConfirmFaultyMaster, (RMCContext* pCallContext, const DDLTYPE(dohandle)::CPPType& hFaultyMaster, const DDLTYPE(byte)::CPPType& byResult))
	_PR_bootstrapdo_pudecl()
	_PR_globaldo_pudecl()
	_PR_coredo_pudecl()
protected:
	_PR_bootstrapdo_prdecl()
	_PR_globaldo_prdecl()
	_PR_coredo_prdecl()
protected:


private:
typedef DDLTYPE(dohandle) TConfirmElection_hObject;
typedef DDLTYPE(dohandle) TConfirmElection_hFaultyMaster;
typedef DDLTYPE(dohandle) TConfirmElection_hNewMaster;
typedef DDLTYPE(dohandle) TElectNewMaster_hObject;
typedef DDLTYPE(dohandle) TElectNewMaster_hFaultyMaster;
typedef DDLTYPE(byte) TElectNewMaster_byMasterVersion;
typedef DDLTYPE(dohandle) TElectNewMaster_hCalleeStation;
typedef DDLTYPE(byte) TElectNewMaster_byAffinity;
typedef DDLTYPE(uint16) TElectNewMaster_uiWaitTime;
typedef DDLTYPE(dohandle) TElectNewMaster_hNewMaster;
typedef DDLTYPE(byte) TElectNewMaster_byNewMasterVersion;
typedef DDLTYPE(dohandle) TDeclinePromotion_hObject;
typedef DDLTYPE(dohandle) TDeclinePromotion_hFaultyMaster;
typedef DDLTYPE(dohandle) TRequestConfirmFaultyMaster_hFaultyMaster;
typedef DDLTYPE(dohandle) TReplyConfirmFaultyMaster_hFaultyMaster;
typedef DDLTYPE(byte) TReplyConfirmFaultyMaster_byResult;
};
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API _DOC_PromotionReferee: public DOClassTemplate<DOCLASS(PromotionReferee), _DOC_RootDO> {
public:
	_DOC_DeclareGeneralMethods(PromotionReferee)
	_DOC_DeclareRMC(ConfirmElection)
	_DOC_DeclareRMC(ElectNewMaster)
	_DOC_DeclareRMC(DeclinePromotion)
	_DOC_DeclareRMC(RequestConfirmFaultyMaster)
	_DOC_DeclareRMC(ReplyConfirmFaultyMaster)
};
END_NAMESPACE_NEX
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_PromotionRefereeDDL.h_H_
