#ifndef _Quazal_StationDDL_H_
#define _Quazal_StationDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "StationInfo.h"
#include "StationState.h"
#include "ConnectionInfo.h"
#include "StationIdentification.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "RootDO.h"
#include "DOCoreDDF.h"
BEGIN_NAMESPACE_NEX
class Station;
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API DOCLASS(Station): public RootDO {
/*
********* Define of calling methods from Station class
qBool CallSignalAsFaulty(RMCContext* pContext, const DDLTYPE(uint32)::CPPType& uiErrorCode);


********* Need implement called methods in Station class

void Station::SignalAsFaulty(const DDLTYPE(uint32)::CPPType& uiErrorCode) {
	//Implementation of the RMC goes here
}

********* */
/********** Define of Datasets
	StationInfo	m_dsInfo;
	StationState	m_dsStationState;
	ConnectionInfo	m_dsConnectionInfo;
	StationIdentification	m_dsIdentification;
**********/

public:
	_DO_DeclareGeneralMethods(Station)

	_DO_DeclareSetID()
	_DO_DeclareRMCStub(SignalAsFaulty, (RMCContext* pCallContext, const DDLTYPE(uint32)::CPPType& uiErrorCode))
	_DSDECL_StationInfo	m_dsInfo;
	_DSDECL_StationState	m_dsStationState;
	_DSDECL_ConnectionInfo	m_dsConnectionInfo;
	_DSDECL_StationIdentification	m_dsIdentification;
	_PR_bootstrapdo_pudecl()
	_PR_coredo_pudecl()
protected:
	_PR_bootstrapdo_prdecl()
	_PR_coredo_prdecl()
protected:


private:
typedef DDLTYPE(uint32) TSignalAsFaulty_uiErrorCode;
};
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API _DOC_Station: public DOClassTemplate<DOCLASS(Station), _DOC_RootDO> {
public:
	_DOC_DeclareGeneralMethods(Station)
	_DOC_DeclareRMC(SignalAsFaulty)
};
END_NAMESPACE_NEX
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_StationDDL.h_H_
