#ifndef _Quazal_UserDefinedStateDDL_H_
#define _Quazal_UserDefinedStateDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(UserDefinedState): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define uint32 m_uiUserDefinedState
	DDLTYPE(uint32)::CPPType m_uiUserDefinedState;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(UserDefinedState)
	DATASET(UserDefinedState)( const DATASET(UserDefinedState) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		m_uiUserDefinedState(oOther.m_uiUserDefinedState)
	{
	}

	_DS_ASSIGN_OPERATOR(UserDefinedState){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(m_uiUserDefinedState);
	}

	_DS_EQUAL_OPERATOR(UserDefinedState){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(m_uiUserDefinedState);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(UserDefinedState)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(Tm_uiUserDefinedState,m_uiUserDefinedState);
	}



	DATASET_VALID_REVISION_DEF(m_uiUserDefinedState, 0);
	qBool DATASET_ISVALID(m_uiUserDefinedState){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(uint32) Tm_uiUserDefinedState;
};

#define _DSDECL_UserDefinedState UserDefinedState

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_UserDefinedStateDDL.h_H_
