﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _RENDEZVOUS_CORE_SRC_COMMON_CONSTANTS_IDENTIFIERTYPES_H_
#define _RENDEZVOUS_CORE_SRC_COMMON_CONSTANTS_IDENTIFIERTYPES_H_

BEGIN_NAMESPACE_NEX

/*
\brief This class acts like a namespace for enum Types.
*/
/* Please see man pages for details 
 
 
 
 
 
 */
class IdentifierTypes
{
public:
    /*
    \ingroup group_rdv_core_common
    \brief Enumerates the valid built-in IdentifierType s.
    \remarks Types ranging from 1 to 99 are reserved for Quazal processes and cannot be assigned by the
    developer. IDs above (and including) 100 can be assigned by the developer.

    \note In order to access these types you must include the RendezVous.h file.
    */

    /* Please see man pages for details 
     
     
     
     
     
     */
    enum Types
    {
        /* Please see man pages for details 
        
        */
        InvalidType = 0, //
        /* Please see man pages for details 
        
        */
        PIDType = 1, //
        /* Please see man pages for details 
        
        */
        GIDType = 2, //
        /* Please see man pages for details 
        
        */
        FirstUserIdType = 100, //
        MaxTypeID = QUNSIGNEDINT32_MAX //

    };
};

END_NAMESPACE_NEX

#endif
