#ifndef _Quazal_DataStorePasswordInfoDDL_H_
#define _Quazal_DataStorePasswordInfoDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStorePasswordInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePasswordInfo): public RootObject {
public:
    DDLCLASS(DataStorePasswordInfo)():_mRevision_DataStorePasswordInfo(0)
     {};
    DDLCLASS(DataStorePasswordInfo)(const DDLCLASS(DataStorePasswordInfo) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePasswordInfo(oOther._mRevision_DataStorePasswordInfo),
        dataId(oOther.dataId),
        accessPassword(oOther.accessPassword),
        updatePassword(oOther.updatePassword)
    {
    }
    virtual ~DDLCLASS(DataStorePasswordInfo)() {};
    const DDLCLASS(DataStorePasswordInfo) &operator=(const DDLCLASS(DataStorePasswordInfo) &oOther);
    qBool operator==(const DDLCLASS(DataStorePasswordInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePasswordInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePasswordInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePasswordInfo) *pValue);
    qByte _mRevision_DataStorePasswordInfo;
    qByte GetClassRevision_DataStorePasswordInfo() const {return _mRevision_DataStorePasswordInfo;}
    void SetClassRevision_DataStorePasswordInfo(qByte revision) {_mRevision_DataStorePasswordInfo=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePasswordInfo() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType accessPassword;
    NEX_CLASS_VALID_REVISION_DEF(accessPassword, 0);
    qBool NEX_CLASS_ISVALID(accessPassword) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType updatePassword;
    NEX_CLASS_VALID_REVISION_DEF(updatePassword, 0);
    qBool NEX_CLASS_ISVALID(updatePassword) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePasswordInfo): public DDLType {
public:
    typedef DataStorePasswordInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePasswordInfo)& oDataStorePasswordInfo) {
        DDLCLASS(DataStorePasswordInfo)::Add(pMessageToSend,oDataStorePasswordInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePasswordInfo)* pDataStorePasswordInfoToRefresh) {
        DDLCLASS(DataStorePasswordInfo)::Extract(pReceivedMessage,pDataStorePasswordInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStorePasswordInfoDDL.h_H_
