#ifndef _Quazal_DataStorePrepareUpdateParamDDL_H_
#define _Quazal_DataStorePrepareUpdateParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStorePrepareUpdateParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStorePrepareUpdateParam): public RootObject {
public:
    DDLCLASS(DataStorePrepareUpdateParam)():_mRevision_DataStorePrepareUpdateParam(0)
    , extraData(0)     {};
    DDLCLASS(DataStorePrepareUpdateParam)(const DDLCLASS(DataStorePrepareUpdateParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStorePrepareUpdateParam(oOther._mRevision_DataStorePrepareUpdateParam),
        dataId(oOther.dataId),
        size(oOther.size),
        updatePassword(oOther.updatePassword),
        extraData(oOther.extraData)
    {
    }
    virtual ~DDLCLASS(DataStorePrepareUpdateParam)() {};
    const DDLCLASS(DataStorePrepareUpdateParam) &operator=(const DDLCLASS(DataStorePrepareUpdateParam) &oOther);
    qBool operator==(const DDLCLASS(DataStorePrepareUpdateParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStorePrepareUpdateParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStorePrepareUpdateParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStorePrepareUpdateParam) *pValue);
    qByte _mRevision_DataStorePrepareUpdateParam;
    qByte GetClassRevision_DataStorePrepareUpdateParam() const {return _mRevision_DataStorePrepareUpdateParam;}
    void SetClassRevision_DataStorePrepareUpdateParam(qByte revision) {_mRevision_DataStorePrepareUpdateParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStorePrepareUpdateParam() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType updatePassword;
    NEX_CLASS_VALID_REVISION_DEF(updatePassword, 0);
    qBool NEX_CLASS_ISVALID(updatePassword) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(string) >::CPPType extraData;
    NEX_CLASS_VALID_REVISION_DEF(extraData, 0);
    qBool NEX_CLASS_ISVALID(extraData) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStorePrepareUpdateParam): public DDLType {
public:
    typedef DataStorePrepareUpdateParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStorePrepareUpdateParam)& oDataStorePrepareUpdateParam) {
        DDLCLASS(DataStorePrepareUpdateParam)::Add(pMessageToSend,oDataStorePrepareUpdateParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStorePrepareUpdateParam)* pDataStorePrepareUpdateParamToRefresh) {
        DDLCLASS(DataStorePrepareUpdateParam)::Extract(pReceivedMessage,pDataStorePrepareUpdateParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStorePrepareUpdateParamDDL.h_H_
