#ifndef _Quazal_DataStoreRatingInitParamWithSlotDDL_H_
#define _Quazal_DataStoreRatingInitParamWithSlotDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStoreRatingInitParam.h"

BEGIN_NAMESPACE_NEX
class DataStoreRatingInitParamWithSlot;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreRatingInitParamWithSlot): public RootObject {
public:
    DDLCLASS(DataStoreRatingInitParamWithSlot)():_mRevision_DataStoreRatingInitParamWithSlot(0)
     {};
    DDLCLASS(DataStoreRatingInitParamWithSlot)(const DDLCLASS(DataStoreRatingInitParamWithSlot) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreRatingInitParamWithSlot(oOther._mRevision_DataStoreRatingInitParamWithSlot),
        slot(oOther.slot),
        param(oOther.param)
    {
    }
    virtual ~DDLCLASS(DataStoreRatingInitParamWithSlot)() {};
    const DDLCLASS(DataStoreRatingInitParamWithSlot) &operator=(const DDLCLASS(DataStoreRatingInitParamWithSlot) &oOther);
    qBool operator==(const DDLCLASS(DataStoreRatingInitParamWithSlot) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreRatingInitParamWithSlot) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreRatingInitParamWithSlot) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreRatingInitParamWithSlot) *pValue);
    qByte _mRevision_DataStoreRatingInitParamWithSlot;
    qByte GetClassRevision_DataStoreRatingInitParamWithSlot() const {return _mRevision_DataStoreRatingInitParamWithSlot;}
    void SetClassRevision_DataStoreRatingInitParamWithSlot(qByte revision) {_mRevision_DataStoreRatingInitParamWithSlot=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreRatingInitParamWithSlot() {return 0;}
    DDLTYPE(int8)::CPPType slot;
    NEX_CLASS_VALID_REVISION_DEF(slot, 0);
    qBool NEX_CLASS_ISVALID(slot) const { return true; /* The revision is 0. Always true */}
    DataStoreRatingInitParam param;
    NEX_CLASS_VALID_REVISION_DEF(param, 0);
    qBool NEX_CLASS_ISVALID(param) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreRatingInitParamWithSlot): public DDLType {
public:
    typedef DataStoreRatingInitParamWithSlot CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreRatingInitParamWithSlot)& oDataStoreRatingInitParamWithSlot) {
        DDLCLASS(DataStoreRatingInitParamWithSlot)::Add(pMessageToSend,oDataStoreRatingInitParamWithSlot);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreRatingInitParamWithSlot)* pDataStoreRatingInitParamWithSlotToRefresh) {
        DDLCLASS(DataStoreRatingInitParamWithSlot)::Extract(pReceivedMessage,pDataStoreRatingInitParamWithSlotToRefresh);
    }
};

class DataStoreRatingInitParamWithSlot: public DDLCLASS(DataStoreRatingInitParamWithSlot) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreRatingInitParamWithSlotDDL.h_H_
