/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _DATA_STORE_SEARCH_RESULT_H
#define _DATA_STORE_SEARCH_RESULT_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "DataStoreSearchResultDDL.h"
#include "DataStoreConstants.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
class DataStoreSearchResult: public DDLCLASS(DataStoreSearchResult)
{
public:
    /* Please see man pages for details 
        
    */
    DataStoreSearchResult() {}

    /* Please see man pages for details 
        
    */
    virtual ~DataStoreSearchResult() {}

    /* Please see man pages for details 
        

           

        
    */
    qUnsignedInt32 GetTotalCount() const
    {
        return this->totalCount;
    }

    /* Please see man pages for details 
        

        

        
        
    */
    const qVector<DataStoreMetaInfo>& GetResult() const
    {
        return this->result;
    }

    /* Please see man pages for details 
        

        
    */
    DataStoreConstants::SearchResultTotalCountType GetTotalCountType() const
    {
        return static_cast<DataStoreConstants::SearchResultTotalCountType>(this->totalCountType);
    }

};

END_NAMESPACE_NEX

#endif
