/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _DebugClient_ApiCallData_H_
#define _DebugClient_ApiCallData_H_

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include <RendezVous/Services/Jugem/Debug/src/Common/ApiCallDataDDL.h>

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
#ifdef FOR_DOC_PURPOSE
class ApiCallData
#else
class ApiCallData: public DDLCLASS(ApiCallData)
#endif
{
public:
    /* Please see man pages for details 
        
    */
    ApiCallData()
    {
        this->principalId = INVALID_PRINCIPALID;
        this->calledTime  = DateTime::Never;
        this->methodName  = "";
    };

    /* Please see man pages for details 
        
    */
    virtual ~ApiCallData() {};

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt32 GetPrincipalId() const
    {
        return this->principalId;
    };

    /* Please see man pages for details 
        

        
    */
    const String& GetMethodName() const
    {
        return this->methodName;
    };

    /* Please see man pages for details 
        

        
    */
    DateTime GetCalledTime() const
    {
        return this->calledTime;
    };

};

END_NAMESPACE_NEX

#endif /* _DebugClient_ApiCallData_H_ */
