﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C) 2011-2014 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef INDEPENDENT_SERVER_H_
#define INDEPENDENT_SERVER_H_

#include <RendezVous/Core/src/Common/ProtocolCallContext.h>

BEGIN_NAMESPACE_NEX

class JobIndependentServer;

/* Please see man pages for details 
    

    

    
*/
class IndependentServer : public RootObject
{
public:
    /* Please see man pages for details 
        
    */
    static const qUnsignedInt32 AUTH_TOKEN_SIZE = 256;

public:
    /* Please see man pages for details 
        
    */
    IndependentServer();

    /* Please see man pages for details 
        
    */
    virtual ~IndependentServer();

    /* Please see man pages for details 
        

        
        

        
        
        

        
        

        
        
        

        
        
        
        
                                  
        

        
        
        
        
        
        
    */
    qResult RequestAuthenticationToken(ProtocolCallContext* pContext,
                                       qUnsignedInt32 gameServerId,
                                       const qChar8* pKeyHash,
                                       qChar8* pAuthToken,
                                       qBool checkParentalControl=true);

    /* Please see man pages for details 
        

                       

        
    */
    qInt32 GetLastErrorCode() const;

    /* Please see man pages for details 
        

                       

        

        

        
        
    */
    static qBool GetServerTime(DateTime* pServerTime);

protected:
    friend class JobIndependentServer;

protected:
    // Network error code.
    qInt32 m_errorCode;
};

END_NAMESPACE_NEX

#endif // INDEPENDENT_SERVER_H_
