﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

////////////////////////////////////////////////////////////////////////////////
// IMPORTANT NOTE: Values of each element of the following enumeration must be
// specify so that translating this file for Python scripts works as expected.
// Also, the description of elements must use C-style /* */ comments where
// the opening and closing syntax must be on their own lines of code.
////////////////////////////////////////////////////////////////////////////////

#ifndef _FpdErrors_H_
#define _FpdErrors_H_

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
 
 */
namespace FPDSuccessCode
{
/* Please see man pages for details 
 
*/
enum SuccessCode
{
    Success         = 1,    //
    RmcNotCalled   = 2    //
};
}

/* Please see man pages for details 
 
 */
namespace FPDErrorCode
{


/* Please see man pages for details 
 
*/
enum ErrorCode
{
    NotInitialized,    //
    AlreadyInitialized,    //
    NotConnected,    //
    Connected,    //
    InitializationFailure,    //
    OutOfMemory,    //
    RmcFailed,    //
    InvalidArgument,    //
    InvalidLocalAccountID,    //
    InvalidPrincipalID,    //
    InvalidLocalFriendCode,    //
    LocalAccountNotExists,    //
    LocalAccountNotLoaded,    //
    LocalAccountAlreadyLoaded,    //
    FriendAlreadyExists,    //
    FriendNotExists,    //
    FriendNumMax,    //
    NotFriend,    //
    FileIO,    //
    P2PInternetProhibited,    //
    Unknown    //
};
//Note: When adding new results, it is necessary to change NEX_QRESULT_TO_STR in OnlineCore/src/Platform/Core/Result.cpp.
}

END_NAMESPACE_NEX

#endif
