#ifndef _Quazal_JoinMatchmakeSessionParamDDL_H_
#define _Quazal_JoinMatchmakeSessionParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class JoinMatchmakeSessionParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(JoinMatchmakeSessionParam): public RootObject {
public:
    DDLCLASS(JoinMatchmakeSessionParam)():_mRevision_JoinMatchmakeSessionParam(0)
     {};
    DDLCLASS(JoinMatchmakeSessionParam)(const DDLCLASS(JoinMatchmakeSessionParam) &oOther):
        RootObject(oOther),
        _mRevision_JoinMatchmakeSessionParam(oOther._mRevision_JoinMatchmakeSessionParam),
        gid(oOther.gid),
        additionalParticipants(oOther.additionalParticipants),
        gidForParticipationCheck(oOther.gidForParticipationCheck),
        joinMatchmakeSessionOption(oOther.joinMatchmakeSessionOption),
        joinMatchmakeSessionBehavior(oOther.joinMatchmakeSessionBehavior),
        strUserPassword(oOther.strUserPassword),
        strSystemPassword(oOther.strSystemPassword),
        joinMessage(oOther.joinMessage),
        participationCount(oOther.participationCount)
    {
    }
    virtual ~DDLCLASS(JoinMatchmakeSessionParam)() {};
    const DDLCLASS(JoinMatchmakeSessionParam) &operator=(const DDLCLASS(JoinMatchmakeSessionParam) &oOther);
    qBool operator==(const DDLCLASS(JoinMatchmakeSessionParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(JoinMatchmakeSessionParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(JoinMatchmakeSessionParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(JoinMatchmakeSessionParam) *pValue);
    qByte _mRevision_JoinMatchmakeSessionParam;
    qByte GetClassRevision_JoinMatchmakeSessionParam() const {return _mRevision_JoinMatchmakeSessionParam;}
    void SetClassRevision_JoinMatchmakeSessionParam(qByte revision) {_mRevision_JoinMatchmakeSessionParam=revision;}
    static qByte GetKnownMaxClassRevision_JoinMatchmakeSessionParam() {return 0;}
    DDLTYPE(uint32)::CPPType gid;
    NEX_CLASS_VALID_REVISION_DEF(gid, 0);
    qBool NEX_CLASS_ISVALID(gid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qlist)< DDLTYPE(uint32) >::CPPType additionalParticipants;
    NEX_CLASS_VALID_REVISION_DEF(additionalParticipants, 0);
    qBool NEX_CLASS_ISVALID(additionalParticipants) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType gidForParticipationCheck;
    NEX_CLASS_VALID_REVISION_DEF(gidForParticipationCheck, 0);
    qBool NEX_CLASS_ISVALID(gidForParticipationCheck) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType joinMatchmakeSessionOption;
    NEX_CLASS_VALID_REVISION_DEF(joinMatchmakeSessionOption, 0);
    qBool NEX_CLASS_ISVALID(joinMatchmakeSessionOption) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType joinMatchmakeSessionBehavior;
    NEX_CLASS_VALID_REVISION_DEF(joinMatchmakeSessionBehavior, 0);
    qBool NEX_CLASS_ISVALID(joinMatchmakeSessionBehavior) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType strUserPassword;
    NEX_CLASS_VALID_REVISION_DEF(strUserPassword, 0);
    qBool NEX_CLASS_ISVALID(strUserPassword) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType strSystemPassword;
    NEX_CLASS_VALID_REVISION_DEF(strSystemPassword, 0);
    qBool NEX_CLASS_ISVALID(strSystemPassword) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType joinMessage;
    NEX_CLASS_VALID_REVISION_DEF(joinMessage, 0);
    qBool NEX_CLASS_ISVALID(joinMessage) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType participationCount;
    NEX_CLASS_VALID_REVISION_DEF(participationCount, 0);
    qBool NEX_CLASS_ISVALID(participationCount) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(JoinMatchmakeSessionParam): public DDLType {
public:
    typedef JoinMatchmakeSessionParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(JoinMatchmakeSessionParam)& oJoinMatchmakeSessionParam) {
        DDLCLASS(JoinMatchmakeSessionParam)::Add(pMessageToSend,oJoinMatchmakeSessionParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(JoinMatchmakeSessionParam)* pJoinMatchmakeSessionParamToRefresh) {
        DDLCLASS(JoinMatchmakeSessionParam)::Extract(pReceivedMessage,pJoinMatchmakeSessionParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_JoinMatchmakeSessionParamDDL.h_H_
