#ifndef _Quazal_UniqueIdInfoDDL_H_
#define _Quazal_UniqueIdInfoDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class UniqueIdInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(UniqueIdInfo): public RootObject {
public:
    DDLCLASS(UniqueIdInfo)():_mRevision_UniqueIdInfo(0)
     {};
    DDLCLASS(UniqueIdInfo)(const DDLCLASS(UniqueIdInfo) &oOther):
        RootObject(oOther),
        _mRevision_UniqueIdInfo(oOther._mRevision_UniqueIdInfo),
        nexUniqueId(oOther.nexUniqueId),
        nexUniqueIdPassword(oOther.nexUniqueIdPassword)
    {
    }
    virtual ~DDLCLASS(UniqueIdInfo)() {};
    const DDLCLASS(UniqueIdInfo) &operator=(const DDLCLASS(UniqueIdInfo) &oOther);
    qBool operator==(const DDLCLASS(UniqueIdInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(UniqueIdInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(UniqueIdInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(UniqueIdInfo) *pValue);
    qByte _mRevision_UniqueIdInfo;
    qByte GetClassRevision_UniqueIdInfo() const {return _mRevision_UniqueIdInfo;}
    void SetClassRevision_UniqueIdInfo(qByte revision) {_mRevision_UniqueIdInfo=revision;}
    static qByte GetKnownMaxClassRevision_UniqueIdInfo() {return 0;}
    DDLTYPE(uint64)::CPPType nexUniqueId;
    NEX_CLASS_VALID_REVISION_DEF(nexUniqueId, 0);
    qBool NEX_CLASS_ISVALID(nexUniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType nexUniqueIdPassword;
    NEX_CLASS_VALID_REVISION_DEF(nexUniqueIdPassword, 0);
    qBool NEX_CLASS_ISVALID(nexUniqueIdPassword) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(UniqueIdInfo): public DDLType {
public:
    typedef UniqueIdInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(UniqueIdInfo)& oUniqueIdInfo) {
        DDLCLASS(UniqueIdInfo)::Add(pMessageToSend,oUniqueIdInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(UniqueIdInfo)* pUniqueIdInfoToRefresh) {
        DDLCLASS(UniqueIdInfo)::Extract(pReceivedMessage,pUniqueIdInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_UniqueIdInfoDDL.h_H_
