﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _DynamicGathering_H
#define _DynamicGathering_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include <RendezVous/Services/MatchMaking/src/Common/DynamicGatheringDDL.h>

BEGIN_NAMESPACE_NEX

class DynamicGathering: public DDLCLASS(DynamicGathering)
{
public:
    DynamicGathering(): m_strRealType(_T("DynamicGathering")) {}
    virtual ~DynamicGathering() {}

    void SetRealType(const String& strRealType)
    {
        m_strRealType=strRealType;
    }
    virtual String GetGatheringType() const
    {
        return m_strRealType;
    }

private:
    String m_strRealType;
};

END_NAMESPACE_NEX

#endif

