#ifndef _Quazal_GameSessionDDL_H_
#define _Quazal_GameSessionDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "MatchMakingServiceProperties.h"
#include "Gathering.h"

BEGIN_NAMESPACE_NEX
class GameSession;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(GameSession): public Gathering {
public:
    DDLCLASS(GameSession)():_mRevision_GameSession(0)
     {};
    DDLCLASS(GameSession)(const DDLCLASS(GameSession) &oOther):
        Gathering(oOther),
        _mRevision_GameSession(oOther._mRevision_GameSession)
    {
    }
    virtual ~DDLCLASS(GameSession)() {};
    const DDLCLASS(GameSession) &operator=(const DDLCLASS(GameSession) &oOther);
    qBool operator==(const DDLCLASS(GameSession) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(GameSession) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(GameSession) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(GameSession) *pValue);
    qByte _mRevision_GameSession;
    qByte GetClassRevision_GameSession() const {return _mRevision_GameSession;}
    void SetClassRevision_GameSession(qByte revision) {_mRevision_GameSession=revision;}
    static qByte GetKnownMaxClassRevision_GameSession() {return 0;}
    public:
	_PR_gathering_methods_pudecl()
    protected:
	_PR_gathering_methods_prdecl()
};


class DDLTYPE(GameSession): public DDLType {
public:
    typedef GameSession CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(GameSession)& oGameSession) {
        DDLCLASS(GameSession)::Add(pMessageToSend,oGameSession);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(GameSession)* pGameSessionToRefresh) {
        DDLCLASS(GameSession)::Extract(pReceivedMessage,pGameSessionToRefresh);
    }
};

class GameSession: public DDLCLASS(GameSession) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_GameSessionDDL.h_H_
