/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/
//
//  Class to express the world
//
//  This is an image of the terrain where the player walks around
//
//  This is created by the session master
//

#ifndef _WORLD_H_
#define _WORLD_H_

#include <NetZ/NetZ.h>
#include "WorldDDL.h"

class World : public NAMESPACE_NEX DOCLASS(World)
{
public:
    World() {}
    ~World() {}

    void InitDO();

    void SetBoundary(qReal minx, qReal miny, qReal maxx, qReal maxy);
    void GetBoundary(qReal& minx, qReal& miny, qReal& maxx, qReal& maxy);

    void DoPhysic();
    void Render();
};

#endif      // _WORLD_H_
