/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/



#ifndef SCENESESSIONGAME_H_
#define SCENESESSIONGAME_H_

#include "SceneBase.h"
#include "ControlInfo.h"

class SceneSessionGame : public SceneBase
{
public:
    virtual ~SceneSessionGame(void);

    virtual void Initialize(void);

    //n2788:test
    virtual void Finalize();

    virtual SceneBase* Update(void);
    virtual void Render(void) const;

protected:
    SceneSessionGame(void);   // Force use of GetInstance function.
    SceneSessionGame           (const SceneSessionGame&);
    SceneSessionGame& operator=(const SceneSessionGame&);
};

#endif  // end of SCENESESSIONGAME_H_
