﻿/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _WorldInfo_H_
#define _WorldInfo_H_

#include <nex_P2p.h>
#include "WorldInfoDDL.h"

class WorldInfo: public nn::nex:: DATASET(WorldInfo)
{
public:
    enum
    {
        ExtrapolationTypeNone,
        ExtrapolationTypeExtrapolated,
        ExtrapolationTypeLoopback,

        ExtrapolationTypeLast
    };

    WorldInfo()
    {
        extrapolationType = ExtrapolationTypeExtrapolated;
    }
};

#endif
