﻿/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _Position_H_
#define _Position_H_

#include <nex_P2p.h>

class Position
{
public:
    Position()
    {
        x = 0;
        y = 0;
        z = 0;
    }

    void Move(qReal dx, qReal dy, qReal dz)
    {
        x += dx;
        y += dy;
        z += dz;
    }

    void Set(qReal dx, qReal dy, qReal dz)
    {
        x = dx;
        y = dy;
        z = dz;
    }

    qReal x;
    qReal y;
    qReal z;
};

#endif
