/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef DISPATCHTHREAD_H_
#define DISPATCHTHREAD_H_

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#if defined(CTR_TARGET)
#include "CTR/DispatchThread.h"
using ::CTR::DispatchThread;
#elif defined(CAFE_TARGET)
#include "Cafe/DispatchThread.h"
using ::Cafe::DispatchThread;
#else /* !CTR_TARGET && !Cafe_TARGET */
#error "This platform is not supported."
#endif /* !CTR_TARGET && !Cafe_TARGET */

#endif  // end of DISPATCHTHREAD_H_

