/*--------------------------------------------------------------------------
  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/


#ifndef MULTIUNITHEAPSETTING_H_
#define MULTIUNITHEAPSETTING_H_

#include "./MultiUnitHeapTemplate.h"


//
struct MultiUnitHeapSetting
{
    static const size_t LEVEL = 5;
    MultiUnitHeapSetting(void);
    void  *memBlock;  //
    size_t memSize;   //
    size_t unitSize[LEVEL]; //
    size_t unitObjs[LEVEL]; //
    bool recordPeak;  //
    char padding[3];
#if NEX_ENABLE_MEMORY_STARVATION_CARE
    size_t reserved;
#endif
};


#endif  // end of MULTIUNITHEAPSETTING_H_
