#ifndef _Quazal_RangeDDL_H_
#define _Quazal_RangeDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(Range): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define uint32 m_uiFirst
	DDLTYPE(uint32)::CPPType m_uiFirst;

	//define uint32 m_uiLast
	DDLTYPE(uint32)::CPPType m_uiLast;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(Range)
	DATASET(Range)( const DATASET(Range) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		m_uiFirst(oOther.m_uiFirst), 
		m_uiLast(oOther.m_uiLast)
	{
	}

	_DS_ASSIGN_OPERATOR(Range){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(m_uiFirst);
		_DS_COPYDATASET_VAR(m_uiLast);
	}

	_DS_EQUAL_OPERATOR(Range){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(m_uiFirst);
		_DS_EQUAL_VAR(m_uiLast);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(Range)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(Tm_uiFirst,m_uiFirst);
		_MSG_EXTRACT_VARIABLE(Tm_uiLast,m_uiLast);
	}



	DATASET_VALID_REVISION_DEF(m_uiFirst, 0);
	qBool DATASET_ISVALID(m_uiFirst){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiLast, 0);
	qBool DATASET_ISVALID(m_uiLast){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(uint32) Tm_uiFirst;
	typedef DDLTYPE(uint32) Tm_uiLast;
};

#define _DSDECL_Range Range

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_RangeDDL.h_H_
