#ifndef _Quazal_RootDODDL_H_
#define _Quazal_RootDODDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DOCoreDDF.h"
BEGIN_NAMESPACE_NEX
class RootDO;
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API DOCLASS(RootDO): public DuplicatedObject {
public:
	_DO_DeclareGeneralMethods(RootDO)

	_DO_DeclareSetID()
_DO_DeclareActionStub(AddDuplicaLocation,(DDLTYPE(dohandle)::CPPType hOperationOrigin, DDLTYPE(dohandle)::CPPType hLocation, DDLTYPE(bool)::CPPType bForceRedundantAdd, DDLTYPE(dohandle)::CPPType hAvailableRouting))
_DO_DeclareActionStub(DeleteDuplica,(DDLTYPE(dohandle)::CPPType hLocation))
_DO_DeclareActionStub(RemoveFromCachedDuplicationSet,(DDLTYPE(dohandle)::CPPType hLocation))
protected:
protected:


private:
typedef DDLTYPE(dohandle) TAddDuplicaLocation_hOperationOrigin;
typedef DDLTYPE(dohandle) TAddDuplicaLocation_hLocation;
typedef DDLTYPE(bool) TAddDuplicaLocation_bForceRedundantAdd;
typedef DDLTYPE(dohandle) TAddDuplicaLocation_hAvailableRouting;
typedef DDLTYPE(dohandle) TDeleteDuplica_hLocation;
typedef DDLTYPE(dohandle) TRemoveFromCachedDuplicationSet_hLocation;
};
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API _DOC_RootDO: public DOClassTemplate<DOCLASS(RootDO), _DOC_DuplicatedObject> {
public:
	_DOC_DeclareGeneralMethods(RootDO)
	_DOC_DeclareAction(AddDuplicaLocation)
	_DOC_DeclareAction(DeleteDuplica)
	_DOC_DeclareAction(RemoveFromCachedDuplicationSet)
};
END_NAMESPACE_NEX
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_RootDODDL.h_H_
