#ifndef _Quazal_SharedSessionDescriptionDDL_H_
#define _Quazal_SharedSessionDescriptionDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(SharedSessionDescription): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define cstr m_szAttributes[1024]
	DDLTYPE(cstr)::CPPType m_szAttributes[1024];

	//define cstr m_szSessionDiscoveryType[128]
	DDLTYPE(cstr)::CPPType m_szSessionDiscoveryType[128];

	//define cstr m_szSessionDiscoveryContext[128]
	DDLTYPE(cstr)::CPPType m_szSessionDiscoveryContext[128];

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		m_szAttributes[0]=0;
		m_szSessionDiscoveryType[0]=0;
		m_szSessionDiscoveryContext[0]=0;
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(SharedSessionDescription)
	DATASET(SharedSessionDescription)( const DATASET(SharedSessionDescription) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision)
	{
		_DS_COPYDATASET_ARRAY(m_szAttributes,1024);
		_DS_COPYDATASET_ARRAY(m_szSessionDiscoveryType,128);
		_DS_COPYDATASET_ARRAY(m_szSessionDiscoveryContext,128);
	}

	_DS_ASSIGN_OPERATOR(SharedSessionDescription){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_ARRAY(m_szAttributes,1024);
		_DS_COPYDATASET_ARRAY(m_szSessionDiscoveryType,128);
		_DS_COPYDATASET_ARRAY(m_szSessionDiscoveryContext,128);
	}

	_DS_EQUAL_OPERATOR(SharedSessionDescription){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_ARRAY(m_szAttributes,1024);
		_DS_EQUAL_ARRAY(m_szSessionDiscoveryType,128);
		_DS_EQUAL_ARRAY(m_szSessionDiscoveryContext,128);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(SharedSessionDescription)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		pMsg->ExtractString(m_szAttributes,1024);
		pMsg->ExtractString(m_szSessionDiscoveryType,128);
		pMsg->ExtractString(m_szSessionDiscoveryContext,128);
	}



	DATASET_VALID_REVISION_DEF(m_szAttributes, 0);
	qBool DATASET_ISVALID(m_szAttributes){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_szSessionDiscoveryType, 0);
	qBool DATASET_ISVALID(m_szSessionDiscoveryType){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_szSessionDiscoveryContext, 0);
	qBool DATASET_ISVALID(m_szSessionDiscoveryContext){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(cstr) Tm_szAttributes;
	typedef DDLTYPE(cstr) Tm_szSessionDiscoveryType;
	typedef DDLTYPE(cstr) Tm_szSessionDiscoveryContext;
};

#define _DSDECL_SharedSessionDescription SharedSessionDescription

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_SharedSessionDescriptionDDL.h_H_
