#ifndef _Quazal_DefaultCellParameterDDL_H_
#define _Quazal_DefaultCellParameterDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(DefaultCellParameter): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define uint32 m_idDupSpace
	DDLTYPE(uint32)::CPPType m_idDupSpace;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(DefaultCellParameter)
	DATASET(DefaultCellParameter)( const DATASET(DefaultCellParameter) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		m_idDupSpace(oOther.m_idDupSpace)
	{
	}

	_DS_ASSIGN_OPERATOR(DefaultCellParameter){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(m_idDupSpace);
	}

	_DS_EQUAL_OPERATOR(DefaultCellParameter){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(m_idDupSpace);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(DefaultCellParameter)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(Tm_idDupSpace,m_idDupSpace);
	}



	DATASET_VALID_REVISION_DEF(m_idDupSpace, 0);
	qBool DATASET_ISVALID(m_idDupSpace){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(uint32) Tm_idDupSpace;
};


class OSDK_API DefaultCellParameter: public DATASET(DefaultCellParameter) {
public:
	DefaultCellParameter() {};
	~DefaultCellParameter() {};
};

#define _DSDECL_DefaultCellParameter DefaultCellParameter

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DefaultCellParameterDDL.h_H_
