#ifndef _Quazal_SessionClockDDL_H_
#define _Quazal_SessionClockDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "NetZ/src/Core/DOCore/RootDO.h"
#include "SessionClockExtDDF.h"
BEGIN_NAMESPACE_NEX
class SessionClock;
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API DOCLASS(SessionClock): public RootDO {
/*
********* Define of calling methods from SessionClock class
qBool CallAdjustTime(RMCContext* pContext, const DDLTYPE(int64)::CPPType& iTimeDifference);
qBool CallSyncRequest(RMCContext* pContext, const DDLTYPE(uint64)::CPPType& uiTimeStamp);
qBool CallSyncResponse(RMCContext* pContext, const DDLTYPE(uint64)::CPPType& uiTimeStamp, const DDLTYPE(uint64)::CPPType& uiCurrentTime, const DDLTYPE(int32)::CPPType& iServerDispatchTime);


********* Need implement called methods in SessionClock class

void SessionClock::AdjustTime(const DDLTYPE(int64)::CPPType& iTimeDifference) {
	//Implementation of the RMC goes here
}


void SessionClock::SyncRequest(const DDLTYPE(uint64)::CPPType& uiTimeStamp) {
	//Implementation of the RMC goes here
}


void SessionClock::SyncResponse(const DDLTYPE(uint64)::CPPType& uiTimeStamp, const DDLTYPE(uint64)::CPPType& uiCurrentTime, const DDLTYPE(int32)::CPPType& iServerDispatchTime) {
	//Implementation of the RMC goes here
}

********* */
public:
	_DO_DeclareGeneralMethods(SessionClock)

	_DO_DeclareSetID()
	_DO_DeclareRMCStub(AdjustTime, (RMCContext* pCallContext, const DDLTYPE(int64)::CPPType& iTimeDifference))
	_DO_DeclareRMCStub(SyncRequest, (RMCContext* pCallContext, const DDLTYPE(uint64)::CPPType& uiTimeStamp))
	_DO_DeclareRMCStub(SyncResponse, (RMCContext* pCallContext, const DDLTYPE(uint64)::CPPType& uiTimeStamp, const DDLTYPE(uint64)::CPPType& uiCurrentTime, const DDLTYPE(int32)::CPPType& iServerDispatchTime))
	_PR_bootstrapdo_pudecl()
	_PR_globaldo_pudecl()
	_PR_coredo_pudecl()
protected:
	_PR_bootstrapdo_prdecl()
	_PR_globaldo_prdecl()
	_PR_coredo_prdecl()
protected:


private:
typedef DDLTYPE(int64) TAdjustTime_iTimeDifference;
typedef DDLTYPE(uint64) TSyncRequest_uiTimeStamp;
typedef DDLTYPE(uint64) TSyncResponse_uiTimeStamp;
typedef DDLTYPE(uint64) TSyncResponse_uiCurrentTime;
typedef DDLTYPE(int32) TSyncResponse_iServerDispatchTime;
};
END_NAMESPACE_NEX
BEGIN_NAMESPACE_NEX

class OSDK_API _DOC_SessionClock: public DOClassTemplate<DOCLASS(SessionClock), _DOC_RootDO> {
public:
	_DOC_DeclareGeneralMethods(SessionClock)
	_DOC_DeclareRMC(AdjustTime)
	_DOC_DeclareRMC(SyncRequest)
	_DOC_DeclareRMC(SyncResponse)
};
END_NAMESPACE_NEX
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_SessionClockDDL.h_H_
