﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _TypeCGMacros_H_
#define _TypeCGMacros_H_

#include <OnlineCore/src/DDLTypes/DDLType.h>

BEGIN_NAMESPACE_NEX

template<class DDLCLASSTYPE>
class DDLClassMetaType: public DDLType
{
public:
    typedef DDLCLASSTYPE CPPType;
    static void Add(Message *pMessageToSend, const DDLCLASSTYPE &oValue)
    {
        DDLCLASSTYPE::Add(pMessageToSend, oValue);
    };
    static void Extract(Message *pReceivedMessage, DDLCLASSTYPE *pValue)
    {
        DDLCLASSTYPE::Extract(pReceivedMessage, pValue);
    }
};

END_NAMESPACE_NEX

#define CLASSMETATYPE(TYPE) DDLClassMetaType<TYPE>

#define DDLTYPE(ddltypename) _Type_##ddltypename

#endif

