﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _TimeDefs_H_
#define _TimeDefs_H_

#include <OnlineCore/src/Platform/Core/PlatformDeclInternal.h>

BEGIN_NAMESPACE_NEX

//Summary: Expresses a time interval in milliseconds.
/* Please see man pages for details 
    
*/
typedef qInt32 TimeInterval;

/* Please see man pages for details 
    
*/
static const TimeInterval INFINITE_TIME_INTERVAL = 0x7fffffff;

/* Please see man pages for details 
    
*/
typedef qInt64 LargeTimeInterval;

/* Please see man pages for details 
    
*/
static const LargeTimeInterval INFINITE_LARGE_TIME_INTERVAL = 0x7fffffffffffffffLL;

// {secret}
// Expresses a time value, in microseconds.
/* Please see man pages for details 
    
*/
typedef qUnsignedInt64 HighResolutionTime;

END_NAMESPACE_NEX

#endif
