/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _InputEmulationDevice_H_
#define _InputEmulationDevice_H_

#include <OnlineCore/src/Transport/Interface/TransportDecl.h>
#include <OnlineCore/src/Transport/Interface/EmulationDevice.h>
#include <OnlineCore/src/Platform/Core/CriticalSection.h>

BEGIN_NAMESPACE_NEX

//Group = Network Emulation

/*
Description: This class defines an input EmulationDevice.
Remarks: An input emulation device is referenced via RootTransport::GetInstance()->GetInputEmulationDevice() .
EmulationDevice::Enable must be called before an emulation device can be used.
See Also: EmulationDevice, OutputEmulationDevice, RootTransport
*/
/* Please see man pages for details 
 
 
 
 
 
 
 
 
 
 
 
 
 
 */
class InputEmulationDevice: public EmulationDevice
{
};


END_NAMESPACE_NEX

#endif
