/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/
//n1589

#ifndef _UDPTransport_H_
#define _UDPTransport_H_

#include <OnlineCore/src/Transport/Interface/SocketTransport.h>

BEGIN_NAMESPACE_NEX

class UDPTransport: public SocketTransport
{
public:
public:
    UDPTransport();
    virtual ~UDPTransport();

#if 0
    //n1589:memo:carl:We do not make these methods virtual because we do not expect anything to inherit from UDPTransport.
    //n1589:memo:carl:Normally, you would also handle UDP using TransportAdapter, rather than inheriting from RootTransport
    qBool                   StartListen(qUnsignedInt16 ui16Port,
                                        qUnsignedInt16 *pui16ListeningPort = NULL,
                                        qBool bPreferred = true, qUnsignedInt uiTrafficType = 0);
    qBool                   StopListen(qUnsignedInt16 ui16Port);
    qBool                   StopListen();
#endif

#ifdef TEST_ENABLED
    static qBool Test();
    static qBool TestListen();
#ifdef ROUTING_SUPPORT
    static qBool TestRouting();
#endif
#endif

private:
};

END_NAMESPACE_NEX

#endif
