/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are 
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NEX_VERSION_H_
#define NEX_VERSION_H_

#define NEX_VERSION_DATE           20141024
#define NEX_VERSION_TIME           1146
#define NEX_VERSION_MAJOR          3
#define NEX_VERSION_MINOR          8
#define NEX_VERSION_MICRO          1
#define NEX_VERSION_PATCH          ""
#define NEX_VERSION_DDL            3
#define NEX_VERSION_SERVER         2003
#define NEX_VERSION_REVISION       "61e9e802f2644bcca047709fc6eec217890c9286"
#define NEX_VERSION_BRANCH         "origin/master"

#define NEX_VER_STR(version) NEX_VER_STR_(version)
#define NEX_VER_STR_(version) #version

#define NEX_VERSION_STRING "NEX_"NEX_VER_STR(NEX_VERSION_MAJOR)"_"NEX_VER_STR(NEX_VERSION_MINOR)"_"NEX_VER_STR(NEX_VERSION_MICRO)NEX_VERSION_PATCH

#endif // NEX_VERSION_H_
