#ifndef _Quazal_MessageRecipientDDL_H_
#define _Quazal_MessageRecipientDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class MessageRecipient;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MessageRecipient): public RootObject {
public:
    DDLCLASS(MessageRecipient)():_mRevision_MessageRecipient(0)
     {};
    DDLCLASS(MessageRecipient)(const DDLCLASS(MessageRecipient) &oOther):
        RootObject(oOther),
        _mRevision_MessageRecipient(oOther._mRevision_MessageRecipient),
        m_idRecipient(oOther.m_idRecipient),
        m_uiRecipientType(oOther.m_uiRecipientType)
    {
    }
    virtual ~DDLCLASS(MessageRecipient)() {};
    const DDLCLASS(MessageRecipient) &operator=(const DDLCLASS(MessageRecipient) &oOther);
    qBool operator==(const DDLCLASS(MessageRecipient) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MessageRecipient) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MessageRecipient) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MessageRecipient) *pValue);
    qByte _mRevision_MessageRecipient;
    qByte GetClassRevision_MessageRecipient() const {return _mRevision_MessageRecipient;}
    void SetClassRevision_MessageRecipient(qByte revision) {_mRevision_MessageRecipient=revision;}
    static qByte GetKnownMaxClassRevision_MessageRecipient() {return 0;}
    DDLTYPE(uint32)::CPPType m_idRecipient;
    NEX_CLASS_VALID_REVISION_DEF(m_idRecipient, 0);
    qBool NEX_CLASS_ISVALID(m_idRecipient) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiRecipientType;
    NEX_CLASS_VALID_REVISION_DEF(m_uiRecipientType, 0);
    qBool NEX_CLASS_ISVALID(m_uiRecipientType) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MessageRecipient): public DDLType {
public:
    typedef MessageRecipient CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MessageRecipient)& oMessageRecipient) {
        DDLCLASS(MessageRecipient)::Add(pMessageToSend,oMessageRecipient);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MessageRecipient)* pMessageRecipientToRefresh) {
        DDLCLASS(MessageRecipient)::Extract(pReceivedMessage,pMessageRecipientToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_MessageRecipientDDL.h_H_
