#ifndef _Quazal_NintendoNotificationEventDDL_H_
#define _Quazal_NintendoNotificationEventDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "RendezVous/Core/src/Common/ProtocolFoundationTypes.h"
#include "RendezVous/Core/src/Common/Data.h"

BEGIN_NAMESPACE_NEX
class NintendoNotificationEvent;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(NintendoNotificationEvent): public RootObject {
public:
    DDLCLASS(NintendoNotificationEvent)():_mRevision_NintendoNotificationEvent(0)
     {};
    DDLCLASS(NintendoNotificationEvent)(const DDLCLASS(NintendoNotificationEvent) &oOther):
        RootObject(oOther),
        _mRevision_NintendoNotificationEvent(oOther._mRevision_NintendoNotificationEvent),
        m_uiType(oOther.m_uiType),
        m_pidSender(oOther.m_pidSender),
        m_dataholder(oOther.m_dataholder)
    {
    }
    virtual ~DDLCLASS(NintendoNotificationEvent)() {};
    const DDLCLASS(NintendoNotificationEvent) &operator=(const DDLCLASS(NintendoNotificationEvent) &oOther);
    qBool operator==(const DDLCLASS(NintendoNotificationEvent) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(NintendoNotificationEvent) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(NintendoNotificationEvent) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(NintendoNotificationEvent) *pValue);
    qByte _mRevision_NintendoNotificationEvent;
    qByte GetClassRevision_NintendoNotificationEvent() const {return _mRevision_NintendoNotificationEvent;}
    void SetClassRevision_NintendoNotificationEvent(qByte revision) {_mRevision_NintendoNotificationEvent=revision;}
    static qByte GetKnownMaxClassRevision_NintendoNotificationEvent() {return 0;}
    DDLTYPE(uint32)::CPPType m_uiType;
    NEX_CLASS_VALID_REVISION_DEF(m_uiType, 0);
    qBool NEX_CLASS_ISVALID(m_uiType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_pidSender;
    NEX_CLASS_VALID_REVISION_DEF(m_pidSender, 0);
    qBool NEX_CLASS_ISVALID(m_pidSender) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(any)< CLASSMETATYPE(Data), DDLTYPE(string) >::CPPType m_dataholder;
    NEX_CLASS_VALID_REVISION_DEF(m_dataholder, 0);
    qBool NEX_CLASS_ISVALID(m_dataholder) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(NintendoNotificationEvent): public DDLType {
public:
    typedef NintendoNotificationEvent CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(NintendoNotificationEvent)& oNintendoNotificationEvent) {
        DDLCLASS(NintendoNotificationEvent)::Add(pMessageToSend,oNintendoNotificationEvent);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(NintendoNotificationEvent)* pNintendoNotificationEventToRefresh) {
        DDLCLASS(NintendoNotificationEvent)::Extract(pReceivedMessage,pNintendoNotificationEventToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_NintendoNotificationEventDDL.h_H_
