#ifndef _Quazal_DataStoreCompleteUpdateParamDDL_H_
#define _Quazal_DataStoreCompleteUpdateParamDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreCompleteUpdateParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreCompleteUpdateParam): public RootObject {
public:
    DDLCLASS(DataStoreCompleteUpdateParam)():_mRevision_DataStoreCompleteUpdateParam(0)
     {};
    DDLCLASS(DataStoreCompleteUpdateParam)(const DDLCLASS(DataStoreCompleteUpdateParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreCompleteUpdateParam(oOther._mRevision_DataStoreCompleteUpdateParam),
        dataId(oOther.dataId),
        version(oOther.version),
        isSuccess(oOther.isSuccess)
    {
    }
    virtual ~DDLCLASS(DataStoreCompleteUpdateParam)() {};
    const DDLCLASS(DataStoreCompleteUpdateParam) &operator=(const DDLCLASS(DataStoreCompleteUpdateParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreCompleteUpdateParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreCompleteUpdateParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreCompleteUpdateParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreCompleteUpdateParam) *pValue);
    qByte _mRevision_DataStoreCompleteUpdateParam;
    qByte GetClassRevision_DataStoreCompleteUpdateParam() const {return _mRevision_DataStoreCompleteUpdateParam;}
    void SetClassRevision_DataStoreCompleteUpdateParam(qByte revision) {_mRevision_DataStoreCompleteUpdateParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreCompleteUpdateParam() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType version;
    NEX_CLASS_VALID_REVISION_DEF(version, 0);
    qBool NEX_CLASS_ISVALID(version) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType isSuccess;
    NEX_CLASS_VALID_REVISION_DEF(isSuccess, 0);
    qBool NEX_CLASS_ISVALID(isSuccess) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreCompleteUpdateParam): public DDLType {
public:
    typedef DataStoreCompleteUpdateParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreCompleteUpdateParam)& oDataStoreCompleteUpdateParam) {
        DDLCLASS(DataStoreCompleteUpdateParam)::Add(pMessageToSend,oDataStoreCompleteUpdateParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreCompleteUpdateParam)* pDataStoreCompleteUpdateParamToRefresh) {
        DDLCLASS(DataStoreCompleteUpdateParam)::Extract(pReceivedMessage,pDataStoreCompleteUpdateParamToRefresh);
    }
};

class DataStoreCompleteUpdateParam: public DDLCLASS(DataStoreCompleteUpdateParam) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreCompleteUpdateParamDDL.h_H_
