#ifndef _Quazal_DataStoreRatingTargetDDL_H_
#define _Quazal_DataStoreRatingTargetDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreRatingTarget;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreRatingTarget): public RootObject {
public:
    DDLCLASS(DataStoreRatingTarget)():_mRevision_DataStoreRatingTarget(0)
     {};
    DDLCLASS(DataStoreRatingTarget)(const DDLCLASS(DataStoreRatingTarget) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreRatingTarget(oOther._mRevision_DataStoreRatingTarget),
        dataId(oOther.dataId),
        slot(oOther.slot)
    {
    }
    virtual ~DDLCLASS(DataStoreRatingTarget)() {};
    const DDLCLASS(DataStoreRatingTarget) &operator=(const DDLCLASS(DataStoreRatingTarget) &oOther);
    qBool operator==(const DDLCLASS(DataStoreRatingTarget) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreRatingTarget) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreRatingTarget) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreRatingTarget) *pValue);
    qByte _mRevision_DataStoreRatingTarget;
    qByte GetClassRevision_DataStoreRatingTarget() const {return _mRevision_DataStoreRatingTarget;}
    void SetClassRevision_DataStoreRatingTarget(qByte revision) {_mRevision_DataStoreRatingTarget=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreRatingTarget() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int8)::CPPType slot;
    NEX_CLASS_VALID_REVISION_DEF(slot, 0);
    qBool NEX_CLASS_ISVALID(slot) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreRatingTarget): public DDLType {
public:
    typedef DataStoreRatingTarget CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreRatingTarget)& oDataStoreRatingTarget) {
        DDLCLASS(DataStoreRatingTarget)::Add(pMessageToSend,oDataStoreRatingTarget);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreRatingTarget)* pDataStoreRatingTargetToRefresh) {
        DDLCLASS(DataStoreRatingTarget)::Extract(pReceivedMessage,pDataStoreRatingTargetToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreRatingTargetDDL.h_H_
