#ifndef _Quazal_DataStoreReqPostInfoV1DDL_H_
#define _Quazal_DataStoreReqPostInfoV1DDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStoreKeyValue.h"

BEGIN_NAMESPACE_NEX
class DataStoreReqPostInfoV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreReqPostInfoV1): public RootObject {
public:
    DDLCLASS(DataStoreReqPostInfoV1)():_mRevision_DataStoreReqPostInfoV1(0)
    , requestHeaders(0)    , formFields(0)    , rootCaCert(0)     {};
    DDLCLASS(DataStoreReqPostInfoV1)(const DDLCLASS(DataStoreReqPostInfoV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreReqPostInfoV1(oOther._mRevision_DataStoreReqPostInfoV1),
        dataId(oOther.dataId),
        url(oOther.url),
        requestHeaders(oOther.requestHeaders),
        formFields(oOther.formFields),
        rootCaCert(oOther.rootCaCert)
    {
    }
    virtual ~DDLCLASS(DataStoreReqPostInfoV1)() {};
    const DDLCLASS(DataStoreReqPostInfoV1) &operator=(const DDLCLASS(DataStoreReqPostInfoV1) &oOther);
    qBool operator==(const DDLCLASS(DataStoreReqPostInfoV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreReqPostInfoV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreReqPostInfoV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreReqPostInfoV1) *pValue);
    qByte _mRevision_DataStoreReqPostInfoV1;
    qByte GetClassRevision_DataStoreReqPostInfoV1() const {return _mRevision_DataStoreReqPostInfoV1;}
    void SetClassRevision_DataStoreReqPostInfoV1(qByte revision) {_mRevision_DataStoreReqPostInfoV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreReqPostInfoV1() {return 0;}
    DDLTYPE(uint32)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType url;
    NEX_CLASS_VALID_REVISION_DEF(url, 0);
    qBool NEX_CLASS_ISVALID(url) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreKeyValue) >::CPPType requestHeaders;
    NEX_CLASS_VALID_REVISION_DEF(requestHeaders, 0);
    qBool NEX_CLASS_ISVALID(requestHeaders) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreKeyValue) >::CPPType formFields;
    NEX_CLASS_VALID_REVISION_DEF(formFields, 0);
    qBool NEX_CLASS_ISVALID(formFields) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType rootCaCert;
    NEX_CLASS_VALID_REVISION_DEF(rootCaCert, 0);
    qBool NEX_CLASS_ISVALID(rootCaCert) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreReqPostInfoV1): public DDLType {
public:
    typedef DataStoreReqPostInfoV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreReqPostInfoV1)& oDataStoreReqPostInfoV1) {
        DDLCLASS(DataStoreReqPostInfoV1)::Add(pMessageToSend,oDataStoreReqPostInfoV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreReqPostInfoV1)* pDataStoreReqPostInfoV1ToRefresh) {
        DDLCLASS(DataStoreReqPostInfoV1)::Extract(pReceivedMessage,pDataStoreReqPostInfoV1ToRefresh);
    }
};

class DataStoreReqPostInfoV1: public DDLCLASS(DataStoreReqPostInfoV1) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_DataStoreReqPostInfoV1DDL.h_H_
