﻿/*---------------------------------------------------------------------------*
  Copyright (C)2011-2014 Nintendo Co., Ltd.  All rights reserved.
 
  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#ifndef _MATCHMAKE_REFEREE_ROUND_PARAM_H
#define _MATCHMAKE_REFEREE_ROUND_PARAM_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>
#include "MatchmakeRefereePersonalRoundResult.h"
#include "MatchmakeRefereeEndRoundParamDDL.h"

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/
class MatchmakeRefereeEndRoundParam: public DDLCLASS(MatchmakeRefereeEndRoundParam)
{
public:
    /* Please see man pages for details 
        
    */
    MatchmakeRefereeEndRoundParam()
    {
        Reset();
    }

    /* Please see man pages for details 
        
    */
    virtual ~MatchmakeRefereeEndRoundParam() {}

    /* Please see man pages for details 
        
    */
    void Reset()
    {
        SetRoundId(0);
        SetPersonalRoundResults(qVector<MatchmakeRefereePersonalRoundResult>());
    }

    /* Please see man pages for details 
        

        
    */
    void SetRoundId(qUnsignedInt64 roundId)
    {
        this->roundId = roundId;
    }

    /* Please see man pages for details 
        

        
    */
    qUnsignedInt64 GetRoundId() const
    {
        return this->roundId;
    }

    /* Please see man pages for details 
        

        
    */
    void SetPersonalRoundResults(const qVector<MatchmakeRefereePersonalRoundResult>& personalRoundResults)
    {
        this->personalRoundResults = personalRoundResults;
    }

    /* Please see man pages for details 
        

        
    */
    const qVector<MatchmakeRefereePersonalRoundResult>& GetPersonalRoundResults() const
    {
        return this->personalRoundResults;
    }

};

END_NAMESPACE_NEX

#endif
