﻿/*---------------------------------------------------------------------------*
  Copyright (C) 2011-2014 Nintendo Co., Ltd.  All rights reserved.
 
  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#ifndef _SUBSCRIBER_ERRORS_H
#define _SUBSCRIBER_ERRORS_H

BEGIN_NAMESPACE_NEX

/* Please see man pages for details 
    
*/

#ifdef SWIG
class SubscriberErrorCode
{
public:
#else
namespace SubscriberErrorCode
{
#endif
    /* Please see man pages for details 
        
    */
    enum ErrorCode
    {
        Unknown                   =  1,  //
        InvalidArgument           =  2,  //
        OverLimit                 =  3,  //
        PermissionDenied          =  4   //
    };
#ifdef SWIG
};
#else
}
#endif


END_NAMESPACE_NEX

#endif // _SUBSCRIBER_ERRORS_H
