#ifndef _Quazal_SubscriberGetFollowerResultDDL_H_
#define _Quazal_SubscriberGetFollowerResultDDL_H_
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class SubscriberGetFollowerResult;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(SubscriberGetFollowerResult): public RootObject {
public:
    DDLCLASS(SubscriberGetFollowerResult)():_mRevision_SubscriberGetFollowerResult(0)
    , pids(0)     {};
    DDLCLASS(SubscriberGetFollowerResult)(const DDLCLASS(SubscriberGetFollowerResult) &oOther):
        RootObject(oOther),
        _mRevision_SubscriberGetFollowerResult(oOther._mRevision_SubscriberGetFollowerResult),
        topic(oOther.topic),
        totalSize(oOther.totalSize),
        pids(oOther.pids)
    {
    }
    virtual ~DDLCLASS(SubscriberGetFollowerResult)() {};
    const DDLCLASS(SubscriberGetFollowerResult) &operator=(const DDLCLASS(SubscriberGetFollowerResult) &oOther);
    qBool operator==(const DDLCLASS(SubscriberGetFollowerResult) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(SubscriberGetFollowerResult) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(SubscriberGetFollowerResult) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(SubscriberGetFollowerResult) *pValue);
    qByte _mRevision_SubscriberGetFollowerResult;
    qByte GetClassRevision_SubscriberGetFollowerResult() const {return _mRevision_SubscriberGetFollowerResult;}
    void SetClassRevision_SubscriberGetFollowerResult(qByte revision) {_mRevision_SubscriberGetFollowerResult=revision;}
    static qByte GetKnownMaxClassRevision_SubscriberGetFollowerResult() {return 0;}
    DDLTYPE(string)::CPPType topic;
    NEX_CLASS_VALID_REVISION_DEF(topic, 0);
    qBool NEX_CLASS_ISVALID(topic) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType totalSize;
    NEX_CLASS_VALID_REVISION_DEF(totalSize, 0);
    qBool NEX_CLASS_ISVALID(totalSize) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(uint32) >::CPPType pids;
    NEX_CLASS_VALID_REVISION_DEF(pids, 0);
    qBool NEX_CLASS_ISVALID(pids) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(SubscriberGetFollowerResult): public DDLType {
public:
    typedef SubscriberGetFollowerResult CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(SubscriberGetFollowerResult)& oSubscriberGetFollowerResult) {
        DDLCLASS(SubscriberGetFollowerResult)::Add(pMessageToSend,oSubscriberGetFollowerResult);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(SubscriberGetFollowerResult)* pSubscriberGetFollowerResultToRefresh) {
        DDLCLASS(SubscriberGetFollowerResult)::Extract(pReceivedMessage,pSubscriberGetFollowerResultToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#endif // _Quazal_SubscriberGetFollowerResultDDL.h_H_
