﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2014, Technologies Quazal Inc. All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2014 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#ifndef _GatheringID_H
#define _GatheringID_H

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>

BEGIN_NAMESPACE_NEX

//Group=Matchmaking Service

/*
Description: A unique positive integer used to identify a Gathering.
Remarks: A Gathering is a session that a player can participate in and
includes game, competition, tournament, chat, and forum sessions.
See Also: MatchMakingClient
*/
/* Please see man pages for details 
 
 */
typedef qUnsignedInt32 GatheringID;

/* Please see man pages for details 
 
 */
#define INVALID_GATHERINGID         0

END_NAMESPACE_NEX


#endif

